package kr.co.vividnext.sodalive.audio_content.order

import android.annotation.SuppressLint
import android.content.Intent
import android.graphics.Rect
import android.os.Bundle
import android.view.View
import android.widget.Toast
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import kr.co.vividnext.sodalive.R
import kr.co.vividnext.sodalive.audio_content.detail.AudioContentDetailActivity
import kr.co.vividnext.sodalive.base.BaseActivity
import kr.co.vividnext.sodalive.common.Constants
import kr.co.vividnext.sodalive.common.LoadingDialog
import kr.co.vividnext.sodalive.databinding.ActivityAudioContentOrderListBinding
import kr.co.vividnext.sodalive.extensions.dpToPx

class AudioContentOrderListActivity : BaseActivity<ActivityAudioContentOrderListBinding>(
    ActivityAudioContentOrderListBinding::inflate
) {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        supportFragmentManager.beginTransaction()
            .replace(R.id.fl_container, AudioContentOrderListFragment())
            .commit()
    }

    override fun setupView() {
        setupToolbar()
    }

    private fun setupToolbar() {
        binding.toolbar.tvBack.text = "콘텐츠 보관함"
        binding.toolbar.tvBack.setOnClickListener { finish() }
    }
}
